test-cloud
latest
false
Test Cloud API ガイド
- スタート アップ ガイド
- 認証
- 範囲と権限
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
特定のテナントのフォルダー別の消費内訳を取得します。必要に応じて、フォルダーの所有権別に集計します。
このエンドポイントを使用して、特定のテナントのフォルダー別の消費の内訳を取得します。
API エンドポイント
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-by-folder
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
注:
製品にログインすると、アクセス URL の直後に URL に組織の名前が表示されます (例: {accessURL}/{organizationName}/...)。
要求ヘッダー
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
注:
{access_token}を取得するには、必ずこちらで説明する ROPC の方法で認証を行ってください。
パス パラメーター
| パス パラメーター | データ型 | 説明 |
|---|---|---|
organizationId (必須) | 文字列 (GUID) | テナントが存在する組織の ID。 |
要求本文
要求本文では、テナント、日付範囲、消費可能コード、およびオプションの集計モードを指定します。消費可能コードの詳細なリストについては、「 消費状況」をご覧ください。
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"processPersonalWorkspaces": false,
"alwaysIncludeFolderKeys": ["string"]
}
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"processPersonalWorkspaces": false,
"alwaysIncludeFolderKeys": ["string"]
}
注:
tenantIdis required. The ID of the tenant for which to retrieve consumption.startDateandendDateare Unix timestamps in seconds. Both bounds are inclusive. Values provided in milliseconds are rejected with a400 Bad Requesterror indicating that seconds are expected.aggregateByOwnership省略可能です (既定値:false)。[true] に設定すると、消費量は、プロセスが実行された場所ではなく、プロセスの実行をトリガーしたフォルダー別に集計されます。processPersonalWorkspacesis optional (default:false). When set totrue, personal workspaces are included in the folder breakdown as individual items, grouped under a syntheticPersonalWorkspacesRootparent. Only workspaces with consumption in the queried window are returned. Consumption in folders that no longer exist is returned as synthetic items flagged withisDeletedFolder.alwaysIncludeFolderKeysis optional. Provide a list of folder GUIDs to include in the response even if they have zero consumption in the queried window. Unknown keys are ignored.
応答
200 OK
指定したテナントの消費レコードをフォルダーごとにグループ化してリストを返します。
要求の例
呼び出しは次の例のようになります (cURL)。
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-folder' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200,
"endDate": 1706745600,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-folder' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200,
"endDate": 1706745600,
"consumableCode": "consumption_unit_code"
}'
以下は、フォルダー取得別の消費が成功した場合の応答本文です。
注:
isPersonalWorkspaceistruewhen the item is a personal workspace.isDeletedFolderistruewhen the item represents consumption from a deleted folder.
{
"items": [
{
"folderKey": "string",
"folderName": "string",
"parentFolderKey": "string",
"consumedBySelf": 0,
"processCountSelf": 0,
"isPersonalWorkspace": false,
"isDeletedFolder": false
}
]
}
{
"items": [
{
"folderKey": "string",
"folderName": "string",
"parentFolderKey": "string",
"consumedBySelf": 0,
"processCountSelf": 0,
"isPersonalWorkspace": false,
"isDeletedFolder": false
}
]
}